package com.alterdekim.game.entity;

import com.alterdekim.flash.decompiler.mapper.FlashClass;
import com.alterdekim.flash.decompiler.mapper.FlashValue;
import com.alterdekim.flash.decompiler.mapper.FlashValueType;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "game_icons")
@FlashClass(name = "gi")
public class GameIcon {
    @Id
    @FlashValue(type = FlashValueType.Id)
    private Long id;

    @Column(nullable = false)
    @FlashValue(type = FlashValueType.Value)
    private Integer iconMRId;
}
