package com.alterdekim.game.entity;

import com.alterdekim.flash.decompiler.mapper.FlashClass;
import com.alterdekim.flash.decompiler.mapper.FlashField;
import com.alterdekim.flash.decompiler.mapper.FlashValue;
import com.alterdekim.flash.decompiler.mapper.FlashValueType;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@FlashClass(name = "ic")
@Entity
@Table(name = "incompatibles")
public class Incompatible {
    @Id
    @FlashValue(type = FlashValueType.Id)
    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    private Long id;

    @FlashField(name = "IncGID0")
    @Column(nullable = true)
    @JacksonXmlProperty(isAttribute = true, localName = "IncGID0")
    private Integer incGID0;

    @FlashField(name = "IncGID1")
    @Column(nullable = true)
    @JacksonXmlProperty(isAttribute = true, localName = "IncGID1")
    private Integer incGID1;

    @FlashField(name = "IncBPID0")
    @Column(nullable = true)
    @JacksonXmlProperty(isAttribute = true, localName = "IncBPID0")
    private Integer incBPID0;

    @FlashField(name = "IncBPID1")
    @Column(nullable = true)
    @JacksonXmlProperty(isAttribute = true, localName = "IncBPID1")
    private Integer incBPID1;
}
