package com.alterdekim.game.repository;

import com.alterdekim.game.entity.MediaResourcePath;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface MRTRepository extends JpaRepository<MediaResourcePath, Long> {
    Optional<MediaResourcePath> findById(Long id);

    List<MediaResourcePath> findAll();
}
