package com.alterdekim.game.controller.result.signup;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.*;

import java.util.List;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class AvatarObject {
    @JacksonXmlProperty(isAttribute = false, localName = "Incompatibles")
    private Incompatibles incompatibles;

    @JacksonXmlProperty(localName = "item")
    @JacksonXmlElementWrapper(useWrapping = false, localName = "item")
    private List<AvatarObjectSection> items;
}
