package com.alterdekim.game.controller.result.signup;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.*;

import java.util.List;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class AvatarObjectSection {
    @JacksonXmlProperty(isAttribute = true, localName = "ID")
    private String id;
    @JacksonXmlProperty(isAttribute = true, localName = "Name")
    private String name;

    @JacksonXmlProperty(localName = "group")
    @JacksonXmlElementWrapper(useWrapping = false, localName = "group")
    private List<AvatarBodyPartGroup> groups;
}
