package com.alterdekim.game.controller.result.signup;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.*;

import java.util.List;

@ToString
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@JacksonXmlRootElement(localName = "UserAvatar")
public class SignUpAvatar {
    @JacksonXmlProperty(localName = "BodyParts")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "BodyParts")
    private List<SignUpAvatarBodyPart> BodyParts;
    @JacksonXmlProperty(localName = "Inventory")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "Inventory")
    private List<SignUpAvatarInventory> Inventory;
    @JacksonXmlProperty(localName = "pixels")
    private String pixels;
}