package com.alterdekim.game.repository;

import com.alterdekim.game.entity.Miniquest;
import com.alterdekim.game.entity.PhoneMessage;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface PhoneMessageRepository extends JpaRepository<PhoneMessage, Long> {
    Optional<PhoneMessage> findById(Long id);

    List<PhoneMessage> findAll();
}